/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file. This file contains the common 
  *                   defines of the application. The code is a supplementary 
  *                   material to the article "Optimization for Software 
  *                   Implementation of Fractional Calculus Numerical Methods in 
  *                   an Embedded System". Peripherals initialization, clock 
  *                   configuration and linking with HAL libraries was made 
  *                   using STM32CubeMX For Eclipse plugin v.5.1.0 by 
  *                   STMicroelectronics.
  * @author         : Mariusz Matusiak <mmatusiak@iis.p.lodz.pl>
  *                   Lodz University of Technology,
  *                   18/22 Stefanowskiego St., Lodz, Poland
  ******************************************************************************
  ** This notice applies to any and all portions of this file
  * that are not between comment pairs USER CODE BEGIN and
  * USER CODE END. Other portions of this file, whether
  * inserted by the user or by software development tools
  * are owned by their respective copyright owners.
  *
  * COPYRIGHT(c) 2019 STMicroelectronics
  *
  * Redistribution and use in source and binary forms, with or without modification,
  * are permitted provided that the following conditions are met:
  *   1. Redistributions of source code must retain the above copyright notice,
  *      this list of conditions and the following disclaimer.
  *   2. Redistributions in binary form must reproduce the above copyright notice,
  *      this list of conditions and the following disclaimer in the documentation
  *      and/or other materials provided with the distribution.
  *   3. Neither the name of STMicroelectronics nor the names of its contributors
  *      may be used to endorse or promote products derived from this software
  *      without specific prior written permission.
  *
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f7xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */
void SysTick_MyHandler(void);
/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

void HAL_TIM_MspPostInit(TIM_HandleTypeDef *htim);

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define TIM11_FREQ 1000
#define TIM10_FREQ 0.3
#define TIM_CONTROL_SIM_OUTPUT 10
#define TIM_SAMPLERATE 11
#define TIM_PWM 4
#define GPIO_BUTTON_INTERRUPT_PIN_Pin GPIO_PIN_13
#define GPIO_BUTTON_INTERRUPT_PIN_GPIO_Port GPIOC
#define GPIO_BUTTON_INTERRUPT_PIN_EXTI_IRQn EXTI15_10_IRQn
#define PC1_ANALOG_INPUT_Pin GPIO_PIN_1
#define PC1_ANALOG_INPUT_GPIO_Port GPIOC
#define GPIO_ENCODER_INPUT_1_Pin GPIO_PIN_2
#define GPIO_ENCODER_INPUT_1_GPIO_Port GPIOC
#define GPIO_ENCODER_INPUT_1_EXTI_IRQn EXTI2_IRQn
#define GPIO_ENCODER_INPUT_2_Pin GPIO_PIN_3
#define GPIO_ENCODER_INPUT_2_GPIO_Port GPIOC
#define GPIO_ENCODER_INPUT_2_EXTI_IRQn EXTI3_IRQn
#define DAC_OUTPUT_Pin GPIO_PIN_5
#define DAC_OUTPUT_GPIO_Port GPIOA
#define GPIO_OUTPUT_TEST_SIGNAL_Pin GPIO_PIN_5
#define GPIO_OUTPUT_TEST_SIGNAL_GPIO_Port GPIOC
#define ENCODER_CHANNEL_1_PE9_Pin GPIO_PIN_9
#define ENCODER_CHANNEL_1_PE9_GPIO_Port GPIOE
#define ENCODER_CHANNEL_2_PE11_Pin GPIO_PIN_11
#define ENCODER_CHANNEL_2_PE11_GPIO_Port GPIOE
#define LD3_LED_RED_Pin GPIO_PIN_14
#define LD3_LED_RED_GPIO_Port GPIOB
#define UART_PIN_TX_Pin GPIO_PIN_8
#define UART_PIN_TX_GPIO_Port GPIOD
#define UART_PIN_RX_Pin GPIO_PIN_9
#define UART_PIN_RX_GPIO_Port GPIOD
#define PWM_CHANNEL_OUTPUT_PIN_Pin GPIO_PIN_14
#define PWM_CHANNEL_OUTPUT_PIN_GPIO_Port GPIOD
#define UART_PIN_TX_GOLDPIN_Pin GPIO_PIN_9
#define UART_PIN_TX_GOLDPIN_GPIO_Port GPIOA
#define UART_PIN_RX_GOLDPIN_Pin GPIO_PIN_10
#define UART_PIN_RX_GOLDPIN_GPIO_Port GPIOA
#define SEMAPHORE_Pin GPIO_PIN_1
#define SEMAPHORE_GPIO_Port GPIOD
#define LD2_LED_BLUE_Pin GPIO_PIN_7
#define LD2_LED_BLUE_GPIO_Port GPIOB
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
